SessionEvent (Apache Tomcat 10.1.5 API Documentation)

Package org.apache.catalina

## Class SessionEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.catalina.SessionEvent

- All Implemented Interfaces:
    `Serializable`

      public final class SessionEvent
      extends EventObject

  General event for notifying listeners of significant changes on a Session.
  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SessionEvent​(Session session, String type, Object data)` | Construct a new SessionEvent with the specified parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getData()` |
    `Session` | `getSession()` |
    `String` | `getType()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionEvent

          public SessionEvent​(Session session,
                              String type,
                              Object data)

      Construct a new SessionEvent with the specified parameters.
      Parameters:
        `session` - Session on which this event occurred
        `type` - Event type
        `data` - Event data

  - ### Method Detail

    - #### getData

          public Object getData()

      Returns:
        the event data of this event.

    - #### getSession

          public Session getSession()

      Returns:
        the Session on which this event occurred.

    - #### getType

          public String getType()

      Returns:
        the event type of this event.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventObject`